# frozen_string_literal: true

require "yaml"
require_relative "metadata/version"

module Cased
  module Metadata
    #
    # @example
    #   Cased::Metadata.commands
    #
    # @return [Hash{Program => Array of potential commands}]
    def self.commands
      spec = Gem::Specification.find_by_name("cased-metadata")
      gem_root = spec.gem_dir
      YAML.load_file("#{gem_root}/lib/cased/commands.yml")
    end

    class Error < StandardError; end
  end
end
